Describes the workflow for an envelope or template. These methods enable you to use the scheduled sending and delayed routing features.
Related topics
Methods supported
| Method | Description |
|---|---|
| createEnvelopeWorkflowStepDefinition | POST /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/stepsAdds a new step to an envelope’s workflow. |
| createTemplateWorkflowStepDefinition | POST /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/stepsAdds a new step to a template’s workflow. |
| deleteEnvelopeDelayedRoutingDefinition | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRoutingDeletes the delayed routing rules for the specified envelope workflow step. |
| deleteEnvelopeScheduledSendingDefinition | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/scheduledSendingDeletes the scheduled sending rules for the envelope’s workflow. |
| deleteEnvelopeWorkflowDefinition | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflowDelete the workflow definition for an envelope. |
| deleteEnvelopeWorkflowStepDefinition | DEL /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}Deletes a workflow step from an envelope’s workflow definition. |
| deleteTemplateDelayedRoutingDefinition | DEL /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}/delayedRoutingDeletes the delayed routing rules for the specified template workflow step. |
| deleteTemplateScheduledSendingDefinition | DEL /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/scheduledSendingDeletes the scheduled sending rules for the template’s workflow. |
| deleteTemplateWorkflowDefinition | DEL /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflowDelete the workflow definition for a template. |
| deleteTemplateWorkflowStepDefinition | DEL /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}Deletes a workflow step from an template’s workflow definition. |
| getEnvelopeDelayedRoutingDefinition | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRoutingReturns the delayed routing rules for an envelope’s workflow step definition. |
| getEnvelopeScheduledSendingDefinition | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/scheduledSendingReturns the scheduled sending rules for an envelope’s workflow definition. |
| getEnvelopeWorkflowDefinition | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflowReturns the workflow definition for an envelope. |
| getEnvelopeWorkflowStepDefinition | GET /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}Returns a specified workflow step for a specified template. |
| getTemplateDelayedRoutingDefinition | GET /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}/delayedRoutingReturns the delayed routing rules for a template’s workflow step definition. |
| getTemplateScheduledSendingDefinition | GET /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/scheduledSendingReturns the scheduled sending rules for a template’s workflow definition. |
| getTemplateWorkflowDefinition | GET /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflowReturns the workflow definition for a template. |
| getTemplateWorkflowStepDefinition | GET /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}Returns a specified workflow step for a specified envelope. |
| updateEnvelopeDelayedRoutingDefinition | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}/delayedRoutingUpdates the delayed routing rules for an envelope’s workflow step definition. |
| updateEnvelopeScheduledSendingDefinition | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/scheduledSendingUpdates the scheduled sending rules for an envelope’s workflow. |
| updateEnvelopeWorkflowDefinition | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflowUpdates the workflow definition for an envelope. |
| updateEnvelopeWorkflowStepDefinition | PUT /restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/steps/{workflowStepId}Updates the specified workflow step for an envelope. |
| updateTemplateDelayedRoutingDefinition | PUT /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}/delayedRoutingUpdates the delayed routing rules for a template’s workflow step. |
| updateTemplateScheduledSendingDefinition | PUT /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/scheduledSendingUpdates the scheduled sending rules for a template’s workflow definition. |
| updateTemplateWorkflowDefinition | PUT /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflowUpdates the workflow definition for a template. |
| updateTemplateWorkflowStepDefinition | PUT /restapi/v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps/{workflowStepId}Updates a specified workflow step for a template. |
EnvelopeWorkflowDefinition properties
| Property | Type | Description |
|---|---|---|
currentWorkflowStepId | string | |
resumeDate | string | |
scheduledSending | scheduledSending | An object that describes the settings for scheduled sending. |
workflowStatus | string | |
workflowSteps | array |